<?php

declare(strict_types=1);

namespace App\Filament\Resources\Pages\Schemas;

use Filament\Schemas\Components\Section;
use Filament\Schemas\Schema;

class PageForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema->components([
            Section::make('صفحه')
                ->schema([
                    \App\Filament\Components\Form\NameTextInput::create()->columnSpan(6),
                    \App\Filament\Components\Form\SlugTextInput::create()->required()->columnSpan(6),
                    \App\Filament\Components\Form\DescTextarea::create()->required()->columnSpan(12),
                    \App\Filament\Components\Form\MetaTitleTextInput::create()->required()->columnSpan(12),
                    \App\Filament\Components\Form\MetaKeywordsTagsInput::create()->columnSpan(12),
                    \App\Filament\Components\Form\MetaDescTextarea::create()->required()->columnSpan(12),
                    \App\Filament\Components\Form\CreatedBySelect::create()->required(),
                    \App\Filament\Components\Form\UpdatedBySelect::create(),
                ])
                ->columns(12)
                ->columnSpan(12),
        ])
            ->columns(12);
    }
}
